- name: "setup"
  hosts: all
  gather_facts: no
  become: "yes"
  vars:
    docker_users:
      - cloudstack
    docker_install_compose: false
  pre_tasks:
    - name: "preflight"
      include_role:
        name: "/cloudstack/roles/helpers/prepare"
  tasks:
    - name: gather facts
      ansible.builtin.setup:

    - name: Install python packages
      pip:
        name: "{{ item }}"
      with_items:
        - docker
        - docker-compose
  
    - name: "install docker"
      include_role:
        name: "geerlingguy.docker"

    - name: Create cloudstack directory
      ansible.builtin.file:
        path: /opt/cloudstack
        state: directory
        mode: '0755'

    